Subject: Re: bug#50205: 27.2; crashes or hangs when opening a specific file using tramp

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Aug 2021 09:26:55 +0300

> From: Mani Kancherla <[email-masked]>
> Date: Wed, 25 Aug 2021 12:24:58 -0700
> 
> If I open a specific file over tramp and then trigger window redisplay, either by resizing the window or splitting
> the window, then emacs hangs or sometimes crashes. Can be reproduced consistently by just opening the
> specific file over tramp and then "C-x 3". Same file, if I open locally (without tramp), it does not crash on
> window resize.
> 
> Please find the specific file that causes the crash attached to this email. Steps to reproduce:
> - place the file on a remote machine
> - start emacs
> - open file using tramp like /ssh:1.1.1.1:/tmp/test.txt
> - split the window with C-x 3
> ====> emacs hangs or crashes at this point
> 
> I have seen this issue on macos with different versions of emacs (26.3, 27.1, 27.2) and with different
> versions of tramp as well. Please find below the stack trace I collected. Also, just for testing, I removed
> everything from .emacs to see if it is something in my .emacs, but it still crashed or hung.

The backtrace you show says Emacs stopped due to SIGSTOP signal, so I
guess this was the case it "hanged" and you stopped it?  In that case,
the backtrace points to an arbitrary point, and is not useful; we need
to know where does it infloop.  The technique to discover that is
described in etc/DEBUG, search for "If the symptom of the bug is that
Emacs fails to respond" there.

Thanks.